#ifndef MOD_XMLRPC_MODULES_H_
#define MOD_XMLRPC_MODULES_H_

struct apr_pool_t;
struct apr_dso_handle_t;

struct mod_xmlrpc_func
{
	const char *module;
	const char *method;
	void *callback;	
	void *user_data;
	char *signature;	/* ie, "(ii)" */
	char *help;		/* ie, "Frobnicate x and y" */
};

struct mod_xmlrpc_dso
{
	struct apr_dso_handle_t *handle;
	struct mod_xmlrpc_func *func;
	struct mod_xmlrpc_dso *next;
};

extern int mod_xmlrpc_dso_add(struct mod_xmlrpc_dso **mods,
		const char *filename, struct apr_pool_t *p);

#endif
